PowerPoint3ParserInternal::FontNameFieldParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint3ParserInternal::FontNameFieldParser Struct Referencefinal

Internal: a font name parser of a PowerPoint3Parser. More...

Inheritance diagram for PowerPoint3ParserInternal::FontNameFieldParser:

## Public Member Functions
| FontNameFieldParser (int numZones)
| the constructor More...
bool | parse (int id, MWAWInputStreamPtr &input, libmwaw::DebugFile &ascFile) final
| virtual function used to parse a field More...
Public Member Functions inherited from PowerPoint3ParserInternal::FieldParser
| FieldParser (int fSize, std::string const &debugName)
| the constructor More...
virtual | ~FieldParser ()
| destructor More...

## Public Attributes
int | m_numZones
| the number of zones More...
std::map< int, std::string > | m_idToNameMap
| map file id to font name More...
std::vector< int > | m_childList
| the child list More...
Public Attributes inherited from PowerPoint3ParserInternal::FieldParser
int | m_fieldSize
| the field size More...
std::string | m_name
| the debug name More...

## Detailed Description

Internal: a font name parser of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ FontNameFieldParser()

PowerPoint3ParserInternal::FontNameFieldParser::FontNameFieldParser | ( | int | numZones | ) |
| inlineexplicit

the constructor

## Member Function Documentation

## ◆ parse()

bool PowerPoint3ParserInternal::FontNameFieldParser::parse | ( | int | id,
|  | MWAWInputStreamPtr & | input,
|  | libmwaw::DebugFile & | ascFile
| ) |  |
| finalvirtual

virtual function used to parse a field

Implements PowerPoint3ParserInternal::FieldParser.

## Member Data Documentation

## ◆ m_childList

std::vector<int> PowerPoint3ParserInternal::FontNameFieldParser::m_childList

the child list

Referenced by PowerPoint3Parser::createZones().

## ◆ m_idToNameMap

std::map<int, std::string> PowerPoint3ParserInternal::FontNameFieldParser::m_idToNameMap

map file id to font name

Referenced by PowerPoint3Parser::createZones().

## ◆ m_numZones

int PowerPoint3ParserInternal::FontNameFieldParser::m_numZones

the number of zones

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx